org.apache.cxf.service.factory

## Enum FactoryBeanListener.Event

- java.lang.Object
- - java.lang.Enum<FactoryBeanListener.Event>
  - - org.apache.cxf.service.factory.FactoryBeanListener.Event

- All Implemented Interfaces:
    Serializable, Comparable<FactoryBeanListener.Event>
  Enclosing interface:
    FactoryBeanListener

      public static enum FactoryBeanListener.Event
      extends Enum<FactoryBeanListener.Event>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BINDING_CREATED` BindingInfo
    `BINDING_OPERATION_CREATED` BindingInfo, BindingOperationInfo, Implementation Method
    `CLIENT_CREATED` Endpoint, Client
    `CREATE_FROM_CLASS` Called at the start of processing when it detects that the service is to be created based on a Java class.
    `CREATE_FROM_WSDL` Called at the start of processing when it detects that the service is to be created based on a wsdl contract.
    `DATABINDING_INITIALIZED` DataBinding
    `END_CREATE` Event fired at the very end of processing.
    `ENDPOINT_CREATED` EndpointInfo, Endpoint, Class
    `ENDPOINT_SELECTED` EndpointInfo, Endpoint, SEI Class, Class
    `ENDPOINTINFO_CREATED` EndpointInfo
    `INTERFACE_CREATED` InterfaceInfo, Class
    `INTERFACE_OPERATION_BOUND` OperationInfo, Method
    `OPERATIONINFO_FAULT` OperationInfo, Class, FaultInfo
    `OPERATIONINFO_IN_MESSAGE_SET` OperationInfo, Method, MessageInfo
    `OPERATIONINFO_OUT_MESSAGE_SET`
    `PRE_CLIENT_CREATE` Endpoint
    `PRE_SERVER_CREATE` Server, targetObject, Class
    `PROXY_CREATED` Class[], InvokationHandler, Proxy
    `SERVER_CREATED` Server, targetObject, Class
    `SERVICE_SET` Called after the Service is set into the Factory after which the getService() call will return a valid value.
    `START_CREATE` Event fired at the very start of processing.
    `WSDL_LOADED` Called after the wsdl is loaded/parsed.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FactoryBeanListener.Event` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static FactoryBeanListener.Event[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### START_CREATE

          public static final FactoryBeanListener.Event START_CREATE

      Event fired at the very start of processing. No parameters. Useful for setting up any state the listener may need to maintain.

    - #### END_CREATE

          public static final FactoryBeanListener.Event END_CREATE

      Event fired at the very end of processing. One parameter is passed in which is the Service object that was created.

    - #### CREATE_FROM_WSDL

          public static final FactoryBeanListener.Event CREATE_FROM_WSDL

      Called at the start of processing when it detects that the service is to be created based on a wsdl contract. One String parameter of the URL of the wsdl.

    - #### CREATE_FROM_CLASS

          public static final FactoryBeanListener.Event CREATE_FROM_CLASS

      Called at the start of processing when it detects that the service is to be created based on a Java class. One Class parameter of the class that is being analyzed.

    - #### WSDL_LOADED

          public static final FactoryBeanListener.Event WSDL_LOADED

      Called after the wsdl is loaded/parsed. Single parameter of the WSS4J Definition of the WSDL.

    - #### SERVICE_SET

          public static final FactoryBeanListener.Event SERVICE_SET

      Called after the Service is set into the Factory after which the getService() call will return a valid value. One parameter of the Service object.

    - #### INTERFACE_OPERATION_BOUND

          public static final FactoryBeanListener.Event INTERFACE_OPERATION_BOUND

      OperationInfo, Method

    - #### OPERATIONINFO_IN_MESSAGE_SET

          public static final FactoryBeanListener.Event OPERATIONINFO_IN_MESSAGE_SET

      OperationInfo, Method, MessageInfo

    - #### OPERATIONINFO_OUT_MESSAGE_SET

          public static final FactoryBeanListener.Event OPERATIONINFO_OUT_MESSAGE_SET

    - #### OPERATIONINFO_FAULT

          public static final FactoryBeanListener.Event OPERATIONINFO_FAULT

      OperationInfo, Class, FaultInfo

    - #### INTERFACE_CREATED

          public static final FactoryBeanListener.Event INTERFACE_CREATED

      InterfaceInfo, Class

    - #### DATABINDING_INITIALIZED

          public static final FactoryBeanListener.Event DATABINDING_INITIALIZED

      DataBinding

    - #### ENDPOINT_CREATED

          public static final FactoryBeanListener.Event ENDPOINT_CREATED

      EndpointInfo, Endpoint, Class

    - #### PRE_SERVER_CREATE

          public static final FactoryBeanListener.Event PRE_SERVER_CREATE

      Server, targetObject, Class

    - #### SERVER_CREATED

          public static final FactoryBeanListener.Event SERVER_CREATED

      Server, targetObject, Class

    - #### BINDING_OPERATION_CREATED

          public static final FactoryBeanListener.Event BINDING_OPERATION_CREATED

      BindingInfo, BindingOperationInfo, Implementation Method

    - #### BINDING_CREATED

          public static final FactoryBeanListener.Event BINDING_CREATED

      BindingInfo

    - #### PRE_CLIENT_CREATE

          public static final FactoryBeanListener.Event PRE_CLIENT_CREATE

      Endpoint

    - #### CLIENT_CREATED

          public static final FactoryBeanListener.Event CLIENT_CREATED

      Endpoint, Client

    - #### ENDPOINT_SELECTED

          public static final FactoryBeanListener.Event ENDPOINT_SELECTED

      EndpointInfo, Endpoint, SEI Class, Class

    - #### ENDPOINTINFO_CREATED

          public static final FactoryBeanListener.Event ENDPOINTINFO_CREATED

      EndpointInfo

    - #### PROXY_CREATED

          public static final FactoryBeanListener.Event PROXY_CREATED

      Class[], InvokationHandler, Proxy

  - ### Method Detail

    - #### values

          public static FactoryBeanListener.Event[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FactoryBeanListener.Event c : FactoryBeanListener.Event.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FactoryBeanListener.Event valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Apache CXF